/* <TRANS_COMMAND>
ALTER TABLE LAYERDATA
  ADD CONTRACTCOSTCLS VARCHAR2(20)
/  

CREATE INDEX IDX_LAYERDATA_CONTRACTCOSTCLS ON LAYERDATA (CONTRACTCOSTCLS)
/

COMMIT WORK
/
*/
-- <TRANS_IGNORE>
DECLARE 
  v_exists integer;
BEGIN
  SELECT count(*) 
    INTO v_exists
    FROM USER_TAB_COLUMNS 
    WHERE TABLE_NAME='LAYERDATA' AND COLUMN_NAME='CONTRACTCOSTCLS';
  IF (v_exists=0) THEN
    EXECUTE IMMEDIATE 'ALTER TABLE LAYERDATA
      ADD CONTRACTCOSTCLS VARCHAR2(20)';

    EXECUTE IMMEDIATE 'CREATE INDEX IDX_LAYERDATA_CONTRACTCOSTCLS ON LAYERDATA (CONTRACTCOSTCLS)';
    EXECUTE IMMEDIATE 'COMMIT WORK';
  END IF;
END;
/